Skip to main content
Operations Management/Billing Management Operations
GETBilling Management OperationsSince 0.6SynchronousAuth Required

QueryResourcePrice

QueryResourcePrice

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • resourceNameStringRequired

      The resource name.

    • resourceUnitStringRequired

      The billing unit of the resource.

    • timeUnitStringRequired

      The billing time unit.

    • priceDoubleRequired

      The unit price.

    • dateInLongLongRequired

      The long-integer time.

    • tableuuidStringRequired

      The the price table UUID.

    • pciDeviceOfferingsListRequired

      See pciDeviceOfferings.

      • priceUuidStringRequired

        No description provided.

      • pciDeviceOfferingUuidStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/billings/prices

/zstack/v1/billings/prices

Operation ID

QueryResourcePrice

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/billings/prices' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "127da3fe2612443187bdb5cc1c0a1b93", "resourceName": "Volume", "resourceUnit": "1", "timeUnit": "s", "price": 2.0 } ] }

Change History

This API has no change history records yet.

View all change history